Subject: Re: [PATCH] powerpc/fsl: add device tree binding for QE firmware

From: Timur Tabi <[email-masked]>
Date: Fri, 26 Mar 2010 13:39:55 -0500

Grant Likely wrote:
>> Without the compatible property, the only way I'd know that the child node contains a firmware is to look at the actual name of the child node, which (as Scott and I believe) is not better than a compatible property.
> If it is always a child of a qe node, then I've got no objections.

I have no problem with putting the firmware node as a child of the QE node and skipping the phandle property, but only as long as there's only one QE node.  Would you agree that this is bad:

qe1: qe@e0080000 {
        compatible = "fsl,qe";
        qefw: fsl,qe_firmware {
                compatible="fsl,qe-firmware";
                fsl,firmware = /bininc/("firmware-blob.bin");
                fsl,qe-firmware-eccr = <0x00000000 0x00001230>;
        }
        ...
}

qe2: qe@e0090000 {
        compatible = "fsl,qe";
	fsl,firmware-phandle = <&qefw>;
        ...
}

-- 
Timur Tabi
Linux kernel developer at Freescale